GNU bug report logs - #38302
SQL[ANSI] mode sees into comments

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 38302 <at> debbugs.gnu.org and 積丹尼 Dan Jacobson <jidanni@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38302 <at> debbugs.gnu.org:


Received: (at 38302) by debbugs.gnu.org; 19 Jun 2022 13:31:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 09:31:55 2022
Received: from localhost ([127.0.0.1]:50907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2v1v-0005k1-GF
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 09:31:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2v1t-0005jm-Tn
 for 38302 <at> debbugs.gnu.org; Sun, 19 Jun 2022 09:31:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=7hE4t+ezJ03QCGu/d2l2l1F55cSoEw8fEcQv2DuB6PQ=; b=ttVHdldbRfsK9r7dGwdVo4pG+5
 zQo31EIZDes2yV8jT36lWZIM5C8AN+qgTzl0tVjhqfmWr4abQw+NJrTguWmPScf1f1h/1ZZ+2HIC/
 rXNuAqMC7TDOi8msEtOabDq6DHunXHlE/RxKTFUwN7cr/GuY21gy91rTzHtztDyBV54Y=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2v1l-0006JL-66; Sun, 19 Jun 2022 15:31:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#38302: SQL[ANSI] mode sees into comments
References: <87y2wa60ev.8.fsf@HIDDEN> <87wneg30k6.fsf@HIDDEN>
Date: Sun, 19 Jun 2022 15:31:44 +0200
In-Reply-To: <87wneg30k6.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 20 May 2022 13:28:41 +0200")
Message-ID: <877d5cwzi7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > In that case,
 the following should fix the problem (at the expense of > computing it the
 rules runtime)... Nobody had any comments, so I've pushed the change to Emacs
 29. Reworking this to avoid the `eval' would be nice, but I wasn't at all
 sure how. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38302
Cc: 38302 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> In that case, the following should fix the problem (at the expense of
> computing it the rules runtime)...

Nobody had any comments, so I've pushed the change to Emacs 29.
Reworking this to avoid the `eval' would be nice, but I wasn't at all
sure how.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38302; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38302 <at> debbugs.gnu.org:


Received: (at 38302) by debbugs.gnu.org; 20 May 2022 11:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 07:28:57 2022
Received: from localhost ([127.0.0.1]:37792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns0oT-0001GN-Io
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 07:28:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:33890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ns0oQ-0001G5-QS
 for 38302 <at> debbugs.gnu.org; Fri, 20 May 2022 07:28:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=ROeeFs6/N4cwX3YzN2W5bGU9HVZ5MpPmZlE8pvG6tbQ=; b=aX3WO1a4NPFx1F1/i7AyUvL3JR
 Tr1Ew+ZqrcAjFa8QJmOrgEyZ4FIihIJ6nY+LqbePsxJ88Isf2FoLhTTVYRXuhdwe8sKXqGVtaIUoO
 g82D7SlaLu+uFKf/+jsVNBDfd9im0mjVThde5do8SqPS2us0KC4lM4nYywrjkYrMLBUo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ns0oH-00075m-BB; Fri, 20 May 2022 13:28:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#38302: SQL[ANSI] mode sees into comments
References: <87y2wa60ev.8.fsf@HIDDEN>
X-Now-Playing: Sonoko's _La Debutante_: "Sunny Day"
Date: Fri, 20 May 2022 13:28:41 +0200
In-Reply-To: <87y2wa60ev.8.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Wed, 20 Nov 2019 23:19:04 +0800")
Message-ID: <87wneg30k6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > Here
    you can see SQL[ANSI] mode has tons of errors: > wrong colors for keywords
    that are actually in comments. > And then a "-- what --" making the whole
    rest into a comment. > $ emacs -nw -Q m.sql. [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38302
Cc: 38302 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> Here you can see SQL[ANSI] mode has tons of errors:
> wrong colors for keywords that are actually in comments.
> And then a "-- what --" making the whole rest into a comment.
> $ emacs -nw -Q m.sql.bz2 # attachment below
> emacs-version "26.3"
>
> LOCK TABLES `comment` WRITE;
> /*!40000 ALTER TABLE `comment` DISABLE KEYS */;
> INSERT INTO `comment` VALUES (1,0,'',NULL),(2,-1141372718,_binary 'Import=
ing text file',NULL),(3,28325391,_binary 'Created page with \'2009-07-12  [=
My answer=20

The only problem I could see (in Emacs 29) at least was that sql-mode
expects quotes to be quoted like '', not like \'.  I.e., if I replaced
all the \' with '', then everything looked fine to me (but it was a long
snippet, so I'm not quite sure).

Is \' the correct way to escape a quote in some SQL dialects?  Hm...
googling seems to indicate that MySQL uses \' as an escape for '?  I
know nothing about MySQL -- does that seem correct?  Anybody?

In that case, the following should fix the problem (at the expense of
computing it the rules runtime)...

diff --git a/lisp/progmodes/sql.el b/lisp/progmodes/sql.el
index 8d25986090..ef8375e859 100644
--- a/lisp/progmodes/sql.el
+++ b/lisp/progmodes/sql.el
@@ -4161,28 +4161,33 @@ sql-mode
   (setq-local sql-contains-names t)
   (setq-local escaped-string-quote "'")
   (setq-local syntax-propertize-function
-              (syntax-propertize-rules
-               ;; Handle escaped apostrophes within strings.
-               ("''"
-                (0
-                 (if (save-excursion (nth 3 (syntax-ppss (match-beginning =
0))))
-	             (string-to-syntax ".")
-                   (forward-char -1)
-                   nil)))
-               ;; Propertize rules to not have /- and -* start comments.
-               ("\\(/-\\)" (1 "."))
-               ("\\(-\\*\\)"
-                (1
-                 (if (save-excursion
-                       (not (ppss-comment-depth
-                             (syntax-ppss (match-beginning 1)))))
-                     ;; If we're outside a comment, we don't let -*
-                     ;; start a comment.
-	             (string-to-syntax ".")
-                   ;; Inside a comment, ignore it to avoid -*/ not
-                   ;; being interpreted as a comment end.
-                   (forward-char -1)
-                   nil)))))
+              (eval
+               '(syntax-propertize-rules
+                 ;; Handle escaped apostrophes within strings.
+                 ((if (eq sql-product 'mysql)
+                      "\\\\'"
+                    "''")
+                  (0
+                   (if (save-excursion
+                         (nth 3 (syntax-ppss (match-beginning 0))))
+	               (string-to-syntax ".")
+                     (forward-char -1)
+                     nil)))
+                 ;; Propertize rules to not have /- and -* start comments.
+                 ("\\(/-\\)" (1 "."))
+                 ("\\(-\\*\\)"
+                  (1
+                   (if (save-excursion
+                         (not (ppss-comment-depth
+                               (syntax-ppss (match-beginning 1)))))
+                       ;; If we're outside a comment, we don't let -*
+                       ;; start a comment.
+	               (string-to-syntax ".")
+                     ;; Inside a comment, ignore it to avoid -*/ not
+                     ;; being interpreted as a comment end.
+                     (forward-char -1)
+                     nil))))
+               t))
   ;; Set syntax and font-face highlighting
   ;; Catch changes to sql-product and highlight accordingly
   (sql-set-product (or sql-product 'ansi)) ; Fixes bug#13591


--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38302; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Nov 2019 17:57:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 12:57:11 2019
Received: from localhost ([127.0.0.1]:50861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXUE3-0005Cw-AK
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 12:57:11 -0500
Received: from lists.gnu.org ([209.51.188.17]:43860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1iXUE0-0005Co-MJ
 for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 12:57:09 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60525)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jidanni@HIDDEN>) id 1iXUDz-0007ms-JE
 for bug-gnu-emacs@HIDDEN; Wed, 20 Nov 2019 12:57:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1iXUDy-0004fa-9Y
 for bug-gnu-emacs@HIDDEN; Wed, 20 Nov 2019 12:57:07 -0500
Received: from crocodile.birch.relay.mailchannels.net ([23.83.209.45]:53080)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1iXUDx-0004f4-Qp
 for bug-gnu-emacs@HIDDEN; Wed, 20 Nov 2019 12:57:06 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 07F2B2C2526
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Nov 2019 17:57:03 +0000 (UTC)
Received: from pdx1-sub0-mail-a9.g.dreamhost.com
 (100-96-92-164.trex.outbound.svc.cluster.local [100.96.92.164])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 8D0CA2C257E
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Nov 2019 17:57:02 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a9.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 20 Nov 2019 17:57:02 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Tart-Trouble: 4607b8c146678c61_1574272622837_2720322456
X-MC-Loop-Signature: 1574272622837:1250265413
X-MC-Ingress-Time: 1574272622837
Received: from pdx1-sub0-mail-a9.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a9.g.dreamhost.com (Postfix) with ESMTP id 17AE39F68E
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Nov 2019 09:57:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=1WaMgFeMvME+oZXBwbI6Oym70PE=; b=K0hoTPxxJGw8UyTB
 kwY6rvVf649aGRqZ031WAlJoWXPe2eKe4TOdOBQZQ37JV2a1NKMxZVsSF2J5EwPX
 susZ7DiUlDTbgjeHry3SUujfpbwMt5fXZ34PfIncHEVKmvmxZOy0ZuChbNuZsHGb
 4mcHOVAj80H6yWp4byag9/c8Er8=
Received: from jidanni.org (220-140-7-146.dynamic-ip.hinet.net [220.140.7.146])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a9.g.dreamhost.com (Postfix) with ESMTPSA id 4ED749F691
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Nov 2019 09:56:59 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a9
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: SQL[ANSI] mode sees into comments
Date: Wed, 20 Nov 2019 23:19:04 +0800
Message-ID: <87y2wa60ev.8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.209.45
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Here you can see SQL[ANSI] mode has tons of errors:
wrong colors for keywords that are actually in comments.
And then a "-- what --" making the whole rest into a comment.
$ emacs -nw -Q m.sql.bz2 # attachment below
emacs-version "26.3"

--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=m.sql.bz2
Content-Transfer-Encoding: base64
Content-Description: SQL
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--=-=-=--




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38302; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 19 Jun 2022 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.